CMP(1)

NOM
cmp - Comparer deux fichiers octet par octet

SYNOPSIS
cmp [OPTION]... FICHIER1 [FICHIER2 [SAUT1 [SAUT2]]]

DESCRIPTION
Comparer deux fichiers octet par octet.

-b  --print-bytes
    Afficher les octets qui diffèrent.

-i SAUT  --ignore-initial=SAUT
    Ignorer les SAUT premiers octets de l'entrée.

-i SAUT1:SAUT2  --ignore-initial=SAUT1:SAUT2
    Ignorer les SAUT1 premiers octets de FICHIER1 et les SAUT2 premiers octets de FICHIER2.

-l  --verbose
    Afficher les numéros et valeurs de tous les octets qui diffèrent.

-n LIMITE  --bytes=LIMITE
    Comparer au plus LIMITE octets.

-s  --quiet  --silent
    Ne rien afficher ; fournir seulement le code de retour.

-v  --version
    Afficher le numéro de version.

--help
    Afficher cette aide.

SAUT1 et SAUT2 sont les nombres d'octets à sauter dans chaque fichier. Les valeurs de SAUT peuvent être suivies par l'un des suffixes multiplicateurs suivants : kB 1000, K 1024, MB 1,000,000, M 1,048,576, GB 1,000,000,000, G 1,073,741,824, and so on for T, P, E, Z, Y.

Si FICHIER est « - » ou est manquant, lire l'entrée standard.

AUTEURS
Écrit par Torbjorn Granlund et David MacKenzie.

BOGUES
Merci de bien vouloir signaler toute anomalie, en anglais, à <bug-gnu-utils@gnu.org>.

COPYRIGHT
Copyright © 2002 Free Software Foundation, Inc.
Ce programme est fourni sans AUCUNE GARANTIE, dans les limites autorisées par la loi. Vous pouvez en distribuer des copies sous les termes de la GNU General Public License. Veuillez vous reporter au fichier COPYING pour plus de détails.
Ndt : une traduction française, non officielle, de cette licence est disponible à <http://fsffrance.org/gpl/gpl-fr.fr.html>.

VOIR AUSSI
La documentation complète de cmp est maintenue au format manuel Textinfo. Si les programmes info et cmp sont correctement installés sur votre machine, la commande

    info cmp

vous donnera accès au manuel complet.

TRADUCTION

Ce document est une traduction réalisée par Frédéric Delanoy <delanoy_f AT yahoo DOT com> le 7 août 2000 et révisée le 26 mai 2008.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable via la commande : « LANG=C man 1 cmp ». N'hésitez pas à signaler à l'auteur ou au traducteur, selon le cas, toute erreur dans cette page de manuel.